### Function

# Gimp param_spec_object_array

unstable since: 3.0

#### Declaration [src]

    GParamSpec*
    gimp_param_spec_object_array (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      GType object_type,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GimpParamSpecObjectArray` specifying a

# GIMP_TYPE_OBJECT_ARRAY property.

See `g_param_spec_internal()` for details on property names.

Available since: 3.0

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nick name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Description of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_type`

  Type: `GType`

  GType of the array’s elements.

`flags`

  Type: `GParamFlags`

  Flags for the property specified.

#### Return value

Type: `GParamSpec`

The newly created `GimpParamSpecObjectArray`.

The caller of the function takes ownership of the data, and is responsible for freeing it.